GNOME LaTeX NEWS

Release 3.30.2, 2018-08-05
--------------------------
* Close crowdfunding.

Release 3.30.1, 2018-07-25
--------------------------
* Come back to valac 0.40, more crashes have been discovered when gnome-latex
  is compiled with valac git master (what will become valac 0.42).
* Translation updates.

Release 3.30.0, 2018-07-16
--------------------------
* Change go-to-line shortcut from Ctrl+G to Ctrl+L.
* Adapt some Vala code to make it work with valac >= 0.42.
* Translation updates.

Release 3.28.1, 2018-05-20
--------------------------
* Warning for packagers:
  For the Vala code you must keep the generated C code from the tarball,
  because if the C code is re-generated with valac >= 0.41 then gnome-latex
  will have various crashes.

* New configure build option: --disable-dconf-migration, intended to be used
  only on OSes where dconf cannot be installed.

* Translation updates.

Release 3.28.0, 2018-04-08
--------------------------
* Changes for packagers:
 - New dependency: dconf.
 - Note that since the 3.27.2 version, the project has been renamed from
   latexila to gnome-latex.

* User-visible changes:
 - On first launch of GNOME LaTeX, import LaTeXila settings and user
   data/config files.
 - Change Find and Replace shortcut to Ctrl+H, to be like in gedit (thanks to
   Robert Griesel).
 - Update/improve the user documentation for the spell-checking.
 - Translation updates.

* Under the hood changes:
 - Project moved to GNOME GitLab.
 - Apply GtkSourceView coding style to *.c files.
 - Reduce delta between Vala and C coding styles.
 - Improve documentation for contributors.
 - Finish to port the Math menu to GAction (thanks to Robert Griesel).

Release 3.27.2, 2018-01-17
--------------------------
* Rename LaTeXila to GNOME LaTeX.
* Some code maintenance (do not use some deprecated GTK+ functions).
* Translation updates.

Release 3.27.1, 2017-12-09
--------------------------
* User-visible improvements:
 - Draw non-breaking spaces.
 - File browser in the side panel: popup menus under buttons.

* Port to GtkSourceView 4 and Tepl 4.

* Internal code refactorings, use more Tepl features:
 - Use more Tepl GActions.
 - Let Tepl handle the window title.
 - Implement TeplAbstractFactoryVala subclass.
 - Other small things.

* Port to GAction/Amtk:
 - Port the whole LaTeX menu to GAction and C in the liblatexila.
 - Math menu in progress.
 - Create first AmtkActionInfo.

* Other small improvements.
* Translation updates.

Release 3.26.1, 2017-10-29
--------------------------
* Translation updates.

Release 3.26.0, 2017-09-09
--------------------------
* Internal code refactoring, use more Tepl features:
  * Use TeplNotebook/TeplTabGroup properties (especially :active-tab).
  * Use TeplTab::close-request signal.
  * Use TeplTabLabel (and create subclass to add more info to the tooltip).
    This permitted to remove gedit-close-button.c.
  * Bind Document:location property to TeplFile:location to be able to use some
    TeplFile and TeplBuffer APIs.
  * Use some Tepl GActions for the Edit menu (cut/copy/paste etc).

* Same bug fixes as already backported on 3.24.3.
* Small improvement: make the tab label tooltip clearer: "Main file" ->
  "Project main file".
* Translation updates.

Release 3.24.3, 2017-08-20
--------------------------
* latexmk post-processor: fix bug with LaTeX errors and warnings not detected
  with new versions of latexmk.
* Small bug fixes:
  * Search: replace all button: center content vertically.
  * LaTeX and Math menus: grab focus to active text view after inserting text.

Release 3.25.1, 2017-07-18
--------------------------
* The Gtef library has been renamed to Tepl, adapt the code accordingly.
* Use more Tepl features.
* Code maintenance to not use a deprecated GTK+ function.
* Translation updates.

Release 3.24.2, 2017-06-25
--------------------------
* Fix a crash when moving a tab to a new window (regression in 3.24).

Release 3.24.1, 2017-06-11
--------------------------
* Create app menu only if the desktop prefers one, to avoid a double menubar on
  e.g. Xfce.
* Add Polish help translation.
* Other small code improvements.

Release 3.24.0, 2017-03-20
--------------------------
* Translation updates

Release 3.23.2, 2017-03-12
--------------------------
* Easier keyboard shortcuts for bold, italic and underline: <Control>B/I/U
* In the menus to open a recently used file, show a tooltip with the full path.
* Document structure: fix bug to allow "TODO: ..." and "FIXME: ..." (with the
  colon).
* Other small code improvements
* Fix minor issues found by Coverity
* Translation updates

Release 3.23.1, 2017-01-26
--------------------------
* Update code to not use deprecated GtkSourceView APIs.
* Use the Gtef library, available at:
  https://github.com/swilmet/gtef
  Some functionality has been moved from LaTeXila to Gtef.
* Change menu item label "Search Forward" -> "Jump to PDF" to not confuse it
  with the normal search and replace feature. And adapt the docs accordingly.
* Update the build system to use autoconf-archive macros instead of
  gnome-common. See:
  https://wiki.gnome.org/Projects/GnomeCommon/Migration
* Translation updates

Release 3.22.1, 2016-12-18
--------------------------
* Fix Vala compilation error with newer valac compiler
* Translation updates

Release 3.22.0, 2016-09-18
--------------------------
* Fundraising
* Update AppData
* Translation updates

Release 3.20.1, 2016-07-29
--------------------------
* Bug fix: initialize correctly the build view settings (to hide
  warnings/badboxes).
* Translation updates

Release 3.20.0, 2016-03-20
--------------------------
* Add Turkish translation
* Other translation update

Release 3.19.5, 2016-03-13
--------------------------
* Adapt code for gspell API changes
* Translation updates

Release 3.19.4, 2016-02-15
--------------------------
* Close fundraiser
* Adapt code for gspell API changes
* AppData: add translation tag
* Translation updates

Release 3.19.3, 2016-01-17
--------------------------
* Adapt code for gspell API changes
* Adapt code to support again loading and saving remote files
* Better gnome-shell integration: add an application menu and fix the
  "Open a New Window" right-click action
* Make LaTeXila D-Bus activatable
* Change "Unsaved Document" to "Untitled Document"
* Other various small code improvements
* Translation updates

Release 3.19.2, 2015-12-13
--------------------------
* Adapt code for GspellLanguage API changes
* Adapt CSS to track GTK+ changes
* Rename latexila.deskop to org.gnome.latexila.desktop
* Rename AppData to org.gnome.latexila.appdata.xml
* Other various small improvements and bug fixes

Release 3.19.1, 2015-11-23
--------------------------
* Adapt code for GspellLanguageChooserDialog change

Release 3.18.1, 2015-11-08
--------------------------
* After some GTK+ changes during the last few releases, there were some
  regressions in LaTeXila. Because of the overlay scrollbars, it was not
  possible to select some characters with the mouse. And when (1) line numbers
  are not displayed and (2) the side panel is visible, it is not possible to
  move the cursor before the first character of a line (with the mouse),
  because at that region of the screen the mouse permits to change the size of
  the side panel…
  So to avoid those regressions:
	* Overlay scrolling is disabled at some places
	* Line numbers are now displayed by default

* Added Portuguese translation
* Added Ukrainian help translation

Release 3.18.0, 2015-10-14
--------------------------
* Translation updates

Release 3.17.90, 2015-10-01
---------------------------
* Use gspell instead of GtkSpell. WARNING: gspell = 0.1.x is required, the 0.2
  or 1.0 version of gspell will most probably be incompatible with gspell 0.1.
* Add default spell checking settings in the preferences dialog.
* Via the Tools menu, the spell checking settings can be changed and are stored
  on a file-by-file basis.
* There is now a spell checker dialog window, to spell check an entire file
  word-by-word. (the “inline” spell checker is still present, where misspelled
  words are highlighted with a red wavy underline).
* Ensure that the personal build tools and the templates are correctly saved.
* Other various small improvements and bug fixes
* Translation updates

Release 3.17.0, 2015-07-23
--------------------------
* Integrated file browser: new buttons to open the current directory in a file
  manager (e.g. Nautilus) or in the terminal (Arnaud Blouin)
* Completion: close environment in a different user action, to have two undo
  actions (Stefano Facchini)
* Add indent/unindent to the edit menu (the feature was already available with
  Tab and Shift Tab).
* Ctrl+PgUp/PgDown for tab switching
* Better read-only mode for default build tools.
* Use an headerbar for the dialog windows
* Rewrite of the templates feature

Release 3.16.0, 2015-03-25
--------------------------
* Show information about LaTeXila fundraiser
* Various small improvements
* Translation updates
* Added Bosnian translation

Release 3.15.2, 2015-01-09
--------------------------
* Add keywords to latexila.desktop (Tanguy Ortolo)
* Build tools icons in size 16x16 (Alexander Wilms)
* A good bunch of source code maintenance (use less deprecated GTK+ APIs)
* A few bug fixes and small improvements
* Translation updates

Release 3.15.1, 2014-10-26
--------------------------
* Rewrite of the build tools and synctex code in C

Release 3.14.1, 2014-10-01
--------------------------
* A few bug fixes and small improvements
* GTK+ 3.14 is required because LaTeXila overrides some CSS properties
  and assumes that GTK+ 3.14 is used.

Release 3.14.0, 2014-09-22
--------------------------
* Now LaTeXila follows the GNOME versions
* Better icons
* Upgrade to gee-0.8
* Other small improvements
* Translation updates

Release 2.12.0, 2014-03-26
--------------------------
* Refresh structure when saving
* Misc bugfixes and small improvements
* Translations updates

Release 2.10.0, 2013-11-01
--------------------------
* Added Lithuanian translation
* Translations updates

Release 2.9.0, 2013-10-11
-------------------------
* Search and replace: use the new API from GtkSourceView
* Use upstream GtkSpell (LaTeXila depends on GtkSpell now, instead of Enchant)
* Improvements to the completion
* AppData file
* Translations updates

Release 2.8.3, 2013-08-31
-------------------------
* Build tools: fix crash on unknown post processor
* Updated Galician translations

Release 2.8.2, 2013-06-07
-------------------------
* Misc bugfixes

Release 2.8.1, 2013-05-06
-------------------------
* Bump required version of GLib to 2.36
* Add Catalan and Greek translations
* Translations updates
* Misc bugfixes

Release 2.8.0, 2013-03-28
-------------------------
* Allow the menu bar to shrink below its minimum size
* Load and save accelerator maps (it's now possible to edit the keyboard shortcuts)
* Change the application icons
* Add Ctrl+E shortcut for \emph{}
* Improvements to the completion
* Misc bugfixes
* Translations updates

Release 2.7.0, 2013-01-22
-------------------------
* Insert table and tabular: more complete example
* Changes in the toolbars
* Build tools: use shorter options with Latexmk
* Build tools: remove support of Rubber
* Misc bug fixes
* Translations updates

Release 2.6.2, 2012-11-24
-------------------------
* Misc bug fixes
* Translations updates

Release 2.6.1, 2012-10-20
-------------------------
* Autotools: required version of Vala is now optional
* Comment selected lines: comment empty lines too
* Misc bug fixes

Release 2.6.0, 2012-10-07
-------------------------
* Change default style scheme from 'classic' to 'tango'
* Translations updates

Release 2.5.4, 2012-09-10
-------------------------
* Fix build issue

Release 2.5.3, 2012-09-10
-------------------------
* Build system: switch from CMake to the Autotools
* SyncTeX: forward and backward search
* Import the GtkSpell source code
* Launcher: Added desktop actions (aka QuickList) (Matthieu Baerts)
* Document: warning when temporary location set (bug #681226)
* Make latexila work in application list (Pieter Pareit)
* File browser:
	- automatic updates (remove refresh button)
	- simplify settings and add a settings button
* Improve the user interface
* Add some extensions to the clean-extensions setting
* Update the documentation
* Various code cleanups and refactoring
* Translations updates

Release 2.5.2, 2012-07-24
-------------------------
* Build Tools:
	- Separate default and personal build tools
	- To manage build tools, go to Build -> Manage Build Tools
	- Remove the 'must succeed' option for a build job
	- Remove the $view placeholder, use gtk_show_uri() instead
	- Add the 'files to open' option for a build tool
	- Build View: add the 'show details' button, which replace the
	  'always show all' option of the latexmk post-processor

* Structure: open an included file or an image. Select an item in the
  structure of the document, and go to Structure -> Open File, or a
  right click. (bug #670549)
* Force to show icons in the menu (for the LaTeX and Math menus)
* Remove the setting about the number of most used symbols
* Icon size available in 192x192 (for gnome-shell)
* CMake: option to change the man page directory (for OpenBSD)
* CMake: generate README and INSTALL from README.in and INSTALL.in
* Various code cleanups and refactoring

Release 2.5.1, 2012-05-31
-------------------------
* Figure insertion: swap \label and \caption
* Use GResource for icons and symbols
* Code refactoring for the symbols (in the side panel)
* Fixes and improvements of the compilation with CMake
* Updated Brazilian Portuguese, Czech, Serbian and Latvian translations

Release 2.5.0, 2012-04-21
-------------------------
* Port to GTK+ 3
* Migrate from libunique to GtkApplication
* Updated Spanish, Slovenian and French translations

Release 2.4.1, 2012-06-05
-------------------------
* Figure insertion: swap \label and \caption
* Updated French, Czech translations
* Added Indonesian translation

Release 2.4.0, 2012-03-28
-------------------------
* Document compilation: set temporary location if file not saved
* More documentation
* Structure: bug fix for the display of simple lists
* Build View: remove button "show critical errors"
* Templates: code clean-up
* More LaTeX commands for the completion
* F12 shortcut to show/hide the side panel
* TODO file removed (now in the wiki)
* Updated Spanish, Slovenian, Serbian, French, German, Latvian,
  Norwegian bokmål and Czech translations

Release 2.3.1, 2012-02-05
-------------------------
* More completion data
* Support drag and drop of a list of files
* Completion: code clean-up
* Beamer environments: frame, block, columns, column
  (in the LaTeX menu and in the edit toolbar)
* Fix bug for structure actions 'delete' and 'cut'
* Add Simplified Chinese, Norwegian bokmål translations
* Updated Spanish translation

Release 2.3.0, 2011-11-26
-------------------------
* Spell checking with GtkSpell
* Build Tools: add XeTeX -> PDF with Latexmk
* Improve figure environment insertion
* Templates: better icons
* Added Esperanto translation
* Updated Swedish, French and German translations
* New CMake option: VALAC
* Switch to Vala 0.14

Release 2.2.3, 2012-02-05
-------------------------
* Added Esperanto and Norwegian bokmål translations
* Updated Swedish, German and Spanish translations

Release 2.2.2, 2011-10-08
-------------------------
* Avoid critical messages about a GtkAction
* Fix the right math delimiters
* Added Galician translation
* Updated Slovenian, Czech, Spanish translations

Release 2.2.1, 2011-09-17
-------------------------
* Completion data: add some environments
* Added Slovenian, Czech, Swedish and Serbian translations
* Requirements fix: GLib >= 2.28 (instead of 2.26)
* Compilation: call "valac-0.12" instead of "valac"
* Bugs fixed:
  659129: space alone triggers completion with the fr-oss keyboard layout
  659290: avoid GCC error messages when using -Werror=format-security

Release 2.2.0, 2011-08-26
-------------------------
* Integration with GNOME Damned Lies (use ITS Tool, …)
* Structure: more robust, and more optimized
* Latexmk post processor: extract Latexmk messages
* BibTeX and MakeIndex: fix problems for writing *.blg or *.ind files
* Some UI improvements
* New CMake options: WITH_GNOME and COMPILE_SCHEMA
* Open File: filter to show only .tex and .bib files
* Translation updates: French, German and Spanish
* Some other little improvements and bug fixes

Release 2.1.1, 2011-07-15
-------------------------
* Structure:
	- better implemenation (custom Gtk.TreeModel)
	- better performances (line-by-line parsing)
	- simple lists of items, to find more quickly one element
	- some actions: cut, copy, delete, select, comment, shift left/right

* Build Tools: copy button to duplicate a build tool
* Mallard documentation about the build tools
* Build View: text is selectable, so we can copy/paste it
* Cleanup Build Files: take into account projects
* Show/hide the main toolbar
* Fix: Build Tools not available on a .bib project file
* dconf: scripts for migrating latexila 2.0.x -> 2.2.x
* Some other little improvements and bug fixes

Release 2.1.0, 2011-05-06
-------------------------
* Build Tools: Latexmk by default instead of Rubber (Rubber is still available)
* New build tools: "low level" commands (latex, pdflatex, dvipdf, etc.)
* Show/hide a build tool
* Build View: show/hide errors/warnings/badboxes
* File Browser: new icon for images
* Structure of a document to easily navigate in it
* Some code clean-up and little fixes

Release 2.0.8, 2011-06-14
-------------------------
* Fix a segmentation fault on search
* Change behavior of HOME and END buttons
* More completion data (Pieter Pareit)
* Completion: insert \item for list environments (Pieter Pareit)
* German translation: some fixes (Max Schillinger)
* Some other little improvements and bug fixes

Release 2.0.7, 2011-03-25
-------------------------
* Projects: avoid infinite loop at startup
* Some other little fixes

Release 2.0.6, 2011-03-04
-------------------------
* More robust save and load of build tools
* Italian translation
* Some little improvements and bug fixes

Release 2.0.5, 2011-02-13
-------------------------
* German translation
* GSettings desktop schemas are now optional
* New post processor for build tools: 'all-output'
* Rename 'generic' post processor to 'no-output'
* Bug fixes in build tools

Release 2.0.4, 2011-01-28
-------------------------
* Bug fix: slowness at the end of long lines
* Bug fix: "save all" modifies which tab is active

Release 2.0.3, 2011-01-15
-------------------------
* Fix path issues in RubberPostProcessor
* C code generated (Vala is no longer required)

Release 2.0.2, 2010-12-25
-------------------------
* Brazilian Portuguese translation
* New application icon

Release 2.0.1, 2010-11-21
-------------------------
* Editor setting: forget you're not using tabs
* File browser: show all files except clean-up
* Centered Formula: \[...\] instead of $$...$$
* Some other little improvements and bug fixes

Release 2.0.0, 2010-11-13
-------------------------
* LaTeX commands auto-completion
* Manage build tools with a GUI
* Most used symbols
* Manage projects easily
* More items in LaTeX menu
* A new Math menu
* Some symbols and icons regenerated (with a new script)
* Reset all preferences button
* French and Spanish translations updated
* Some other little improvements and bug fixes

Release 1.99.1, 2010-09-02
--------------------------
* Bug fix: critical messages with several windows
* Bug fix: save a new document on disk
* ChangeLog updated

Release 1.99.0, 2010-08-25
--------------------------
* Rewrite in Vala
* One instance of LaTeXila can manage several windows
* Thanks to unique, a new file is opened in an existing window if it's in the
same workspace
* Better search and replace, inspired by MonoDevelop
* Build Tools: Rubber is used for documents compilation
* French translation updated
* Spanish translation added

Release 0.2, 2010-02-20
-----------------------
* New logo and icon (Eric Forgeot)
* User-friendly output for the compilation:
	* The output is filtered: only errors, warnings and badboxes are
	showed.
	* For a message, the file and the line is extracted, so the user can
	click on a message to go directly to the right file and line.
	* Statistics: how much errors/warnings/badboxes
	* Buttons for the navigation between the errors/warnings/badboxes
	* Options in the preferences: show all output,
	-interaction=nonstopmode

* Stop the execution of an external command
* Clean-up build files
* File browser: combobox with all parent directories
* Create a backup copy of files before saving (e.g. filename~)
* Autosave files every X minutes
* New default template: beamer presentation
* Create personnal templates: choose an icon
* French translation updated

Release 0.1, 2009-12-28
-----------------------
* File browser integrated
* BibTeX and MakeIndex support
* Templates:
	* 4 default templates (article, report, book and letter)
	* possibility to create and delete personnal templates

* Tools: Indent/Unindent, Comment/Uncomment selected lines
* Search: Goto Line
* Documents menu: Save/Close all, Previous/Next document
* Documentation: LaTeX reference from Kile
* Edit toolbar and the LaTeX menu: math stuff
* More preferences:
	* Style scheme support (GtkSourceView)
	* Remember the files opened at exit and reopen them on startup
	* Clean-up auxiliaries files after close
	* Indentation (tab width; spaces instead of tabs)
	* Highlighting (current line; brackets matching)
	* Show the two toolbars on the same line

* Undo/redo: check if the buffer is saved
* Find/Replace: under the source view instead of a dialog
* Some icons updated
* French translation updated

Release 0.0.2, 2009-10-17
-------------------------
* Symbol tables: Greek letters, arrows, relations, operators,
delimiters, misc math, misc text (661 symbols)
* Edit toolbar and the LaTeX menu: sectioning, references,
environments, list environments, characters sizes and font styles
* Possibility to reorder the document tabs
* Command line options: --new-document, --version and --help
* A lot of little improvements
* Bug fixes
* Nicer display of output commands when compiling or converting a
document (the output is showed progressivly line per line)
* Log zone: keep only the five last actions
* French translation updated

Release 0.0.1, 2009-09-02
-------------------------
* Syntaxic color
* Buttons to compile, convert and view the document
* All common things found in a text editor...
* French translation
